Page MenuHomePhabricator

Put WikimediaUI Style Guide on mediawiki.org
Closed, DeclinedPublic

Description

The WikimediaUI Style Guide ought to be on mediawiki.org alongside https://www.mediawiki.org/wiki/OOjs_UI . The tasks

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
OpenNone
OpenNone
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
OpenNone
Resolved Spage
OpenNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenNone
Resolved Spage
DeclinedNone

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage moved this task to Backlog on the Wikimedia Design Style Guide board.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2015, 5:49 PM

Nobody I've spoken to disagrees with this goal, but they get a far-away look in their eyes :)
T301: Define the look&feel of the Developer Hub shares some of these dependencies given that we want its pages on mediawiki.org as well. If you're not going to do this, say so.

Qgil added a subscriber: Qgil.Mar 23 2015, 7:28 PM

@Jaredzimmerman-WMF says he's not opposed to this, but it's not a priority in the next few months.

Qgil added a comment.EditedMar 24 2015, 7:56 AM

In order to sync plans, can we agree in not having this task as a goal for April-June, but do plan for it on July-August?

Spage updated the task description. (Show Details)May 20 2015, 3:53 AM
Spage set Security to None.

Almost three months later... ;)

In relation to T101441: Goal: Integrate the new Web APIs hub with mediawiki.org, I think there are two scenarios that would work well:

The scenario that would work really bad for us would be not to fix this task AND deploy Wikimedia Design Style Guide in mediawiki.org in the next quarter. That would force us to go with... Vector (facepalm).

I have commented a bit more at T99757#1356237. Please let's discuss the best approach there.

Danny_B added a subscriber: Danny_B.

Going to be bold here and rename the task to say WikimediaUI Style Guide instead, since the other name seems to be outdated :)

SamanthaNguyen renamed this task from Put Living Style Guide on mediawiki.org to Put WikimediaUI-Style-Guide on mediawiki.org.Jan 13 2017, 6:53 PM
SamanthaNguyen updated the task description. (Show Details)
Volker_E renamed this task from Put WikimediaUI-Style-Guide on mediawiki.org to Put WikimediaUI Style Guide on mediawiki.org.Jan 13 2017, 7:42 PM
Volker_E updated the task description. (Show Details)
Qgil moved this task from Backlog to Team radar on the Developer-Advocacy board.
Volker_E closed this task as Declined.May 20 2017, 12:56 AM

Design team and myself have agreed that we're going to put this as a test case with sufficient links to GitHub instead of mediawiki.org for trying different outreach to volunteer designers, UX folks and engineers.